8080_AS(6)

NAME
8080_as - assembler for Intel 8080 and 8085

SYNOPSIS
~em/lib.bin/8080/as [options] argument ...

DESCRIPTION
This assembler is made with the general framework described in uni_ass(6). It is an assembler generating relocatable object code in ack.out(5) format.

SYNTAX

registers
    The 8080 has seven one-byte registers: a, b, c, d, e, h, l; and two two-byte registers: sp and psw, respectively the stack pointer and the processor status word.

addressing modes
    syntax		meaning
    expr		one- or two-byte address or immediate
    		data, depending on the instruction.
    a,b,c,d,e,h,l
    sp,psw		(lower byte) of register
    b,d,h		register-pair b-c, d-e, or h-l
    m		register-pair h-l is address of
    		(one or two byte) operand

SEE ALSO
uni_ass(1), ack(1), ack.out(5),
System 80/20-4 microcomputer hardware reference manual, 1978 Intel corporation